package main
// NOTE the blacklist names were copied from
// https://github.com/marteinn/The-Big-Username-Blacklist
//
// The MIT License (MIT)
//
// Copyright (c) 2015-2018 Martin Sandström
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

var usernameBlacklist = map[string]bool{
  "_domainkey": true,
  "abuse": true,
  "admin": true,
  "administrator": true,
  "administration": true,
  "autoconfig": true,
  "autodiscover": true,
  "broadcasthost": true,
  "cp": true,
  "cpanel": true,
  "domain": true,
  "editor": true,
  "guest": true,
  "host": true,
  "hostmaster": true,
  "info": true,
  "keybase.txt": true,
  "localdomain": true,
  "localhost": true,
  "master": true,
  "mail": true,
  "mail0": true,
  "mail1": true,
  "mail2": true,
  "mail3": true,
  "mail4": true,
  "mail5": true,
  "mail6": true,
  "mail7": true,
  "mail8": true,
  "mail9": true,
  "mailerdaemon": true,
  "mailer-daemon": true,
  "me": true,
  "member": true,
  "members": true,
  "moderator": true,
  "nobody": true,
  "owner": true,
  "postmaster": true,
  "poweruser": true,
  "private": true,
  "public": true,
  "root": true,
  "rootuser": true,
  "super": true,
  "superuser": true,
  "sysadmin": true,
  "user": true,
  "users": true,
  "usenet": true,
  "webmaster": true,
  "www-data": true,
  ".htaccess": true,
  ".htpasswd": true,
  ".well-known": true,
  "400": true,
  "401": true,
  "403": true,
  "404": true,
  "405": true,
  "406": true,
  "407": true,
  "408": true,
  "409": true,
  "410": true,
  "411": true,
  "412": true,
  "413": true,
  "414": true,
  "415": true,
  "416": true,
  "417": true,
  "421": true,
  "422": true,
  "423": true,
  "424": true,
  "426": true,
  "428": true,
  "429": true,
  "431": true,
  "500": true,
  "501": true,
  "502": true,
  "503": true,
  "504": true,
  "505": true,
  "506": true,
  "507": true,
  "508": true,
  "509": true,
  "510": true,
  "511": true,
  "aes128-ctr": true,
  "aes192-ctr": true,
  "aes256-ctr": true,
  "aes128-gcm": true,
  "aes256-gcm": true,
  "ajax": true,
  "alpha": true,
  "amp": true,
  "asc": true,
  "assets": true,
  "atom": true,
  "beta": true,
  "captcha": true,
  "cdn": true,
  "cgi": true,
  "cgi-bin": true,
  "chacha20-poly1305": true,
  "client": true,
  "com": true,
  "count": true,
  "curve25519-sha256": true,
  "crossdomain.xml": true,
  "css": true,
  "db": true,
  "debug": true,
  "desc": true,
  "dev": true,
  "diffie-hellman-group-exchange-sha256": true,
  "diffie-hellman-group14-sha1": true,
  "dns": true,
  "dns0": true,
  "dns1": true,
  "dns2": true,
  "dns3": true,
  "dns4": true,
  "ecdh-sha2-nistp256": true,
  "ecdh-sha2-nistp384": true,
  "ecdh-sha2-nistp521": true,
  "error": true,
  "errors": true,
  "exception": true,
  "false": true,
  "favicon.ico": true,
  "filter": true,
  "ftp": true,
  "get": true,
  "git": true,
  "hmac-sha": true,
  "hmac-sha1": true,
  "hmac-sha1-etm": true,
  "hmac-sha2-256": true,
  "hmac-sha2-512": true,
  "hmac-sha2-256-etm": true,
  "hmac-sha2-512-etm": true,
  "http": true,
  "httpd": true,
  "https": true,
  "humans.txt": true,
  "icons": true,
  "imap": true,
  "img": true,
  "is": true,
  "isatap": true,
  "it": true,
  "js": true,
  "json": true,
  "graphql": true,
  "limit": true,
  "live": true,
  "map": true,
  "mis": true,
  "mx": true,
  "mx1": true,
  "net": true,
  "network": true,
  "noc": true,
  "none": true,
  "nil": true,
  "ns": true,
  "ns0": true,
  "ns1": true,
  "ns2": true,
  "ns3": true,
  "ns4": true,
  "ns5": true,
  "ns6": true,
  "ns7": true,
  "ns8": true,
  "ns9": true,
  "null": true,
  "owa": true,
  "post": true,
  "prod": true,
  "production": true,
  "robots.txt": true,
  "rsa-sha2-512": true,
  "rsa-sha2-2": true,
  "rss": true,
  "script": true,
  "source": true,
  "sitemap": true,
  "smtp": true,
  "sql": true,
  "ssh": true,
  "ssh-rsa": true,
  "ssl": true,
  "ssladmin": true,
  "ssladministrator": true,
  "sslwebmaster": true,
  "stage": true,
  "staging": true,
  "static": true,
  "style": true,
  "styles": true,
  "stylesheet": true,
  "stylesheets": true,
  "subdomain": true,
  "sudo": true,
  "telnet": true,
  "test": true,
  "true": true,
  "umac-64": true,
  "umac-128": true,
  "umac-64-etm": true,
  "umac-128-etm": true,
  "undefined": true,
  "uucp": true,
  "var": true,
  "void": true,
  "vpn": true,
  "webmail": true,
  "wpad": true,
  "www": true,
  "www1": true,
  "www2": true,
  "www3": true,
  "www4": true,
  "zlib": true,
  "ad": true,
  "ads": true,
  "api": true,
  "auth": true,
  "authentication": true,
  "authorize": true,
  "avatar": true,
  "banner": true,
  "banners": true,
  "cache": true,
  "cas": true,
  "chart": true,
  "config": true,
  "cookies": true,
  "cms": true,
  "draft": true,
  "email": true,
  "head": true,
  "header": true,
  "htpasswd": true,
  "m": true,
  "metrics": true,
  "mobile": true,
  "noreply": true,
  "no-reply": true,
  "oauth": true,
  "oauth2": true,
  "online": true,
  "openid": true,
  "passwd": true,
  "password": true,
  "pixel": true,
  "pop": true,
  "pop3": true,
  "postfix": true,
  "redirect": true,
  "request": true,
  "response": true,
  "sdk": true,
  "shop": true,
  "secure": true,
  "security": true,
  "session": true,
  "sessions": true,
  "system": true,
  "tablet": true,
  "trial": true,
  "username": true,
  "yourname": true,
  "yourusername": true,
  "advertise": true,
  "advertising": true,
  "ads.txt": true,
  "affiliate": true,
  "affiliates": true,
  "app-ads.txt": true,
  "billing": true,
  "billings": true,
  "business": true,
  "campaign": true,
  "contest": true,
  "cart": true,
  "checkout": true,
  "deals": true,
  "hosting": true,
  "investors": true,
  "invoice": true,
  "license": true,
  "licensing": true,
  "marketing": true,
  "marketplace": true,
  "offer": true,
  "offers": true,
  "order": true,
  "orders": true,
  "pay": true,
  "payment": true,
  "payments": true,
  "partners": true,
  "premium": true,
  "sales": true,
  "store": true,
  "about": true,
  "about-us": true,
  "access": true,
  "alert": true,
  "alerts": true,
  "analytics": true,
  "app": true,
  "apps": true,
  "account": true,
  "accounts": true,
  "backup": true,
  "bbs": true,
  "board": true,
  "bookmark": true,
  "bookmarks": true,
  "blog": true,
  "blogs": true,
  "calendar": true,
  "careers": true,
  "category": true,
  "categories": true,
  "chat": true,
  "channel": true,
  "channels": true,
  "cloud": true,
  "comment": true,
  "comments": true,
  "community": true,
  "contact": true,
  "copyright": true,
  "customer": true,
  "customers": true,
  "dashboard": true,
  "developer": true,
  "developers": true,
  "docs": true,
  "documentation": true,
  "download": true,
  "downloads": true,
  "enterprise": true,
  "event": true,
  "events": true,
  "example": true,
  "explore": true,
  "extensions": true,
  "family": true,
  "faq": true,
  "faqs": true,
  "features": true,
  "feed": true,
  "feedback": true,
  "feeds": true,
  "file": true,
  "files": true,
  "fonts": true,
  "form": true,
  "forms": true,
  "forum": true,
  "forums": true,
  "friend": true,
  "friends": true,
  "follower": true,
  "followers": true,
  "following": true,
  "forgot": true,
  "forgotpassword": true,
  "forgot-password": true,
  "group": true,
  "groups": true,
  "guidelines": true,
  "guides": true,
  "help": true,
  "home": true,
  "images": true,
  "invitations": true,
  "invites": true,
  "issues": true,
  "jobs": true,
  "legal": true,
  "local": true,
  "lost-password": true,
  "media": true,
  "message": true,
  "messages": true,
  "more": true,
  "my": true,
  "new": true,
  "news": true,
  "next": true,
  "newsletter": true,
  "newsletters": true,
  "notification": true,
  "notifications": true,
  "overview": true,
  "page": true,
  "pages": true,
  "photo": true,
  "photos": true,
  "plans": true,
  "plugins": true,
  "policy": true,
  "policies": true,
  "popular": true,
  "portal": true,
  "portfolio": true,
  "press": true,
  "pricing": true,
  "privacy": true,
  "privacy-policy": true,
  "preferences": true,
  "previous": true,
  "product": true,
  "profile": true,
  "profiles": true,
  "project": true,
  "projects": true,
  "quota": true,
  "refund": true,
  "refunds": true,
  "registration": true,
  "replies": true,
  "reply": true,
  "request-password": true,
  "reset-password": true,
  "return": true,
  "returns": true,
  "reviews": true,
  "rules": true,
  "settings": true,
  "setup": true,
  "services": true,
  "site": true,
  "sites": true,
  "stat": true,
  "stats": true,
  "status": true,
  "statistics": true,
  "survey": true,
  "tag": true,
  "tags": true,
  "team": true,
  "terms": true,
  "terms-of-use": true,
  "testimonials": true,
  "theme": true,
  "themes": true,
  "today": true,
  "tools": true,
  "topic": true,
  "topics": true,
  "tour": true,
  "training": true,
  "translations": true,
  "trending": true,
  "widget": true,
  "widgets": true,
  "you": true,
  "video": true,
  "website": true,
  "wiki": true,
  "add": true,
  "buy": true,
  "change": true,
  "clear": true,
  "close": true,
  "compare": true,
  "compose": true,
  "connect": true,
  "copy": true,
  "create": true,
  "customize": true,
  "delete": true,
  "destroy": true,
  "disconnect": true,
  "discuss": true,
  "downvote": true,
  "drop": true,
  "edit": true,
  "exit": true,
  "export": true,
  "follow": true,
  "go": true,
  "hide": true,
  "import": true,
  "index": true,
  "insert": true,
  "invite": true,
  "join": true,
  "learn": true,
  "like": true,
  "load": true,
  "lock": true,
  "login": true,
  "logout": true,
  "modify": true,
  "print": true,
  "purchase": true,
  "put": true,
  "reduce": true,
  "register": true,
  "remove": true,
  "report": true,
  "reset": true,
  "review": true,
  "save": true,
  "search": true,
  "select": true,
  "share": true,
  "shift": true,
  "signin": true,
  "signup": true,
  "sort": true,
  "subscribe": true,
  "support": true,
  "sync": true,
  "translate": true,
  "unfollow": true,
  "update": true,
  "upgrade": true,
  "unlike": true,
  "unsubscribe": true,
  "verify": true,
  "view": true,
  "vote": true,
  "write": true,
}
